summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James (sam_c) <sam@cmpct.info>2020-03-18 16:14:01 +0000
committerThomas Deutschmann <whissi@gentoo.org>2020-03-19 20:06:42 +0100
commit9786f102b326f186682829f7f6f6164681250dce (patch)
treee4f0f0c3824973ef6c1fd96453f60ab410a0d371
parentdev-libs/jsoncpp: Revert "Remove redundant versions" (diff)
downloadgentoo-9786f102b326f186682829f7f6f6164681250dce.tar.gz
gentoo-9786f102b326f186682829f7f6f6164681250dce.tar.bz2
gentoo-9786f102b326f186682829f7f6f6164681250dce.zip
www-servers/bozohttpd: new snapshot (20190228), security bump
Bug: https://bugs.gentoo.org/713218 Signed-off-by: Sam James (sam_c) <sam@cmpct.info> Closes: https://github.com/gentoo/gentoo/pull/15003 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
-rw-r--r--www-servers/bozohttpd/Manifest1
-rw-r--r--www-servers/bozohttpd/bozohttpd-20190228.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/www-servers/bozohttpd/Manifest b/www-servers/bozohttpd/Manifest
index 20bff2ebb54..36206f02ed6 100644
--- a/www-servers/bozohttpd/Manifest
+++ b/www-servers/bozohttpd/Manifest
@@ -1 +1,2 @@
DIST bozohttpd-20170201.tar.bz2 55730 BLAKE2B e0663d6bb819374b84d17081cb6546cf6ba79eb497310c4547b5eb9f349e515f6645ee36cc4ae1a69ba2782a0ba26e6b725f1310852558a8be0c155691194430 SHA512 f8fba17a454b3825bf0562072bf0acf5890639d83e3bc5c6b7e87f13860d37a3dfc3fd155bd9873d5201b85f31185b24677c22db1cb303fd556f22afa8b7895e
+DIST bozohttpd-20190228.tar.bz2 59460 BLAKE2B bfd5f16f997903ce8c1b708c5d50955779545bbfee7525966ff0f3475114841ce8feac800d945782548474dc866c032876cb50afaa93cc164c7cdf4b5eeeb555 SHA512 8658695ad9248c9c013362d040981df5d18366e1ad0a6b80707841f93fe576c54631ff3810cc08062b1b28fb07884464bfc27fb71c37831446b2de67a6254f09
diff --git a/www-servers/bozohttpd/bozohttpd-20190228.ebuild b/www-servers/bozohttpd/bozohttpd-20190228.ebuild
new file mode 100644
index 00000000000..483262bc9dc
--- /dev/null
+++ b/www-servers/bozohttpd/bozohttpd-20190228.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="bozohttpd is a small and secure http server"
+HOMEPAGE="http://www.eterna.com.au/bozohttpd/"
+SRC_URI="http://www.eterna.com.au/bozohttpd/${P}.tar.bz2"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="libressl"
+
+DEPEND="!libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:= )"
+RDEPEND="${DEPEND}
+ virtual/logger"
+
+src_prepare() {
+ default
+ mv Makefile{.boot,} || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" OPT="${CFLAGS}"
+}
+
+src_install() {
+ dobin bozohttpd
+ doman bozohttpd.8
+
+ newconfd "${FILESDIR}"/${PN}.conffile bozohttpd
+ newinitd "${FILESDIR}"/${PN}.initscript bozohttpd
+}